Bug 430509 - Review Request: synce-kpm - SynCE KDE PDA Manager
Review Request: synce-kpm - SynCE KDE PDA Manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 10:34 EST by Andreas Bierfert
Modified: 2008-01-31 18:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 18:45:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2008-01-28 10:34:11 EST
Spec URL: http://fedora.lowlatency.de/review/synce-kpm.spec
SRPM URL: http://fedora.lowlatency.de/review/synce-kpm-0.11-1.fc8.src.rpm
Description:
SynCE-KPM stands for SynCE KDE PDA Manager and aims to be an application to
manage WM5/WM6 PDA devices from Linux.

This will obsolete synce-kde once rapip is split out of synce-kde (aimed for the 0.12 release of synce).
Comment 1 Parag AN(पराग) 2008-01-29 01:11:36 EST
you missed BR on python-setuptools-devel, build.log gave =>
ImportError: No module named setuptools
Comment 2 Andreas Bierfert 2008-01-29 02:27:22 EST
True. I guess BR python-setuptools will be sufficient.
http://fedora.lowlatency.de/review/synce-kpm-0.11-2.fc8.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=380581
Comment 3 Parag AN(पराग) 2008-01-29 06:12:17 EST
You need to add Require: libxslt-python. When I installed this on rawhide I see
that it required libxslt.

when started synce-kpm from terminal got
Cannot open file '/usr/lib/python2.5/site-packages/synceKPM/data/lock.svg',
becuase: No such file or directory
Comment 4 Andreas Bierfert 2008-01-29 09:43:49 EST
Should both be fixed now :)
http://fedora.lowlatency.de/review/synce-kpm-0.11-3.fc8.src.rpm
Comment 5 Parag AN(पराग) 2008-01-30 04:46:01 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM. But NOT for RPM.
synce-kpm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/synceKPM/synce_kpm_main.py 0644
==> Can you fix this? or its needed?
synce-kpm.noarch: E: explicit-lib-dependency libxslt-python
==> Ok
+ source files match upstream.
89d3f7352ddc7bc64a44353466da802e  synce-kpm-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file handled correctly.
+ GUI app.

Comment 6 Andreas Bierfert 2008-01-30 15:41:19 EST
I think the script warning can be discarded but if you want I can set the mode
to 755. Judging from other files in the python dir and that it should not be
called directly anyway 644 seems sane to me.
Comment 7 Parag AN(पराग) 2008-01-30 23:20:32 EST
(In reply to comment #6)
> I think the script warning can be discarded but if you want I can set the mode
> to 755. Judging from other files in the python dir and that it should not be
> called directly anyway 644 seems sane to me.
Ok. keep it 644.

APPROVED.
Comment 8 Andreas Bierfert 2008-01-31 01:48:31 EST
New Package CVS Request
=======================
Package Name: synce-kpm
Short Description: SynCE KDE PDA Manager
Owners: awjb
Branches: F-8
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-01-31 13:08:06 EST
cvs done.
Comment 10 Andreas Bierfert 2008-01-31 18:45:54 EST
Thanks yet again for another nice review :)

Note You need to log in before you can comment on or make changes to this bug.